Skip to main content
`Ctrl`+`K`

# PetscHMapICreate

Create a hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapICreate(PetscHMapI *ht)

## Output Parameter

- ht - The hash table

## See Also

`PetscHMapICreateWithSize()`, `PetscHMapIDestroy()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/sys/tutorials/ex7.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages